local agent_helper = {
}


function agent_helper:Login(callback)--（call）调用java端，调出登录界面，并且绑定回调函数
	PlatformBinder:JsonCall("call_agent_login", "", "", callback)
end

function agent_helper:Logout()
	PlatformBinder:JsonCall("call_agent_logout")
end

function agent_helper:SetLogoutCallback(callback)
	PlatformBinder:JsonBind("event_agent_logout", callback)
end

function agent_helper:GetSessionId()
	return PlatformBinder:JsonCall("call_agent_get_sid")
end

function agent_helper:GetToken(token_type)
	return PlatformBinder:JsonCall("call_agent_get_token", token_type, "")
end

function agent_helper:GetPlatIsInstall(plat_type)
	return PlatformBinder:JsonCall("call_agent_plat_token", plat_type, "")
end

function agent_helper:Recharge(recharge_info)
	return PlatformBinder:JsonCall("call_agent_recharge", recharge_info, "")
end

function agent_helper:SetRechargeCallback(callback)
	PlatformBinder:JsonBind("event_agent_recharge", callback)
end

function agent_helper:Pay(param)--购买
	PlatformBinder:JsonCall("call_agent_pay", param)
end

function agent_helper:GetPayInfo()
	return PlatformBinder:JsonCall("call_agent_get_pay_info", "", "")
end

function agent_helper:Exit(callback)
	PlatformBinder:JsonCall("call_agent_exit", "", "", callback)
end

--浮标的切换账号，用这个方法来返回到登陆界面
function agent_helper:LogoutFloat(callback)
	PlatformBinder:JsonCall("call_agent_logout_float", "", "", callback)
end

return agent_helper 